summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNP-Hardass <NP-Hardass@gentoo.org>2016-08-24 00:23:38 -0400
committerNP-Hardass <NP-Hardass@gentoo.org>2016-08-24 15:07:51 -0400
commitba956c8e2dcedd1265a19432fc38297c4d6e2e8c (patch)
treeb389742af7edf4cf6ee597f2693c91ec4da560bc
parentapp-emulation/wine: bump to 1.9.17 (diff)
downloadgentoo-ba956c8e.tar.gz
gentoo-ba956c8e.tar.bz2
gentoo-ba956c8e.zip
app-emulation/wine: Fix use of env vars for 9999
Package-Manager: portage-2.3.0
-rw-r--r--app-emulation/wine/wine-1.8-r3.ebuild34
-rw-r--r--app-emulation/wine/wine-1.8.1-r3.ebuild34
-rw-r--r--app-emulation/wine/wine-1.8.2-r2.ebuild34
-rw-r--r--app-emulation/wine/wine-1.8.3-r1.ebuild34
-rw-r--r--app-emulation/wine/wine-1.9.10-r3.ebuild36
-rw-r--r--app-emulation/wine/wine-1.9.11-r3.ebuild36
-rw-r--r--app-emulation/wine/wine-1.9.12-r2.ebuild36
-rw-r--r--app-emulation/wine/wine-1.9.13-r2.ebuild36
-rw-r--r--app-emulation/wine/wine-1.9.14-r2.ebuild36
-rw-r--r--app-emulation/wine/wine-1.9.15-r1.ebuild36
-rw-r--r--app-emulation/wine/wine-1.9.16.ebuild36
-rw-r--r--app-emulation/wine/wine-1.9.17.ebuild36
-rw-r--r--app-emulation/wine/wine-1.9.4-r3.ebuild34
-rw-r--r--app-emulation/wine/wine-1.9.5-r3.ebuild34
-rw-r--r--app-emulation/wine/wine-1.9.6-r3.ebuild34
-rw-r--r--app-emulation/wine/wine-1.9.7-r3.ebuild34
-rw-r--r--app-emulation/wine/wine-1.9.8-r2.ebuild34
-rw-r--r--app-emulation/wine/wine-1.9.9-r3.ebuild36
-rw-r--r--app-emulation/wine/wine-9999.ebuild36
19 files changed, 542 insertions, 124 deletions
diff --git a/app-emulation/wine/wine-1.8-r3.ebuild b/app-emulation/wine/wine-1.8-r3.ebuild
index ad22c0939c77..14de6adcb3d9 100644
--- a/app-emulation/wine/wine-1.8-r3.ebuild
+++ b/app-emulation/wine/wine-1.8-r3.ebuild
@@ -246,6 +246,27 @@ wine_build_environment_check() {
fi
}
+wine_env_vcs_vars() {
+ local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
+ local pn_live_val="${pn_live_var}"
+ eval pn_live_val='$'${pn_live_val}
+ if [[ ! -z ${pn_live_val} ]]; then
+ if use staging || use d3d9; then
+ eerror "Because of the multi-repo nature of ${PN}, ${pn_live_var}"
+ eerror "cannot be used to set the commit. Instead, you may use the"
+ eerror "environmental variables WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT."
+ eerror
+ return 1
+ fi
+ fi
+ if [[ ! -z ${EGIT_COMMIT} ]]; then
+ eerror "Commits must now be specified using the environmental variables"
+ eerror "WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT"
+ eerror
+ return 1
+ fi
+}
+
pkg_pretend() {
wine_compiler_check || die
wine_build_environment_check || die
@@ -263,6 +284,7 @@ pkg_pretend() {
pkg_setup() {
wine_build_environment_check || die
+ wine_env_vcs_vars || die
if ! use staging; then
GV=${VANILLA_GV}
MV=${VANILLA_MV}
@@ -274,19 +296,19 @@ pkg_setup() {
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
- git-r3_src_unpack
+ EGIT_COMMIT="${WINE_COMMIT}" git-r3_src_unpack
if use staging; then
- local WINE_COMMIT=${EGIT_VERSION}
+ local CURRENT_WINE_COMMIT=${EGIT_VERSION}
- git-r3_fetch "${STAGING_EGIT_REPO_URI}"
+ git-r3_fetch "${STAGING_EGIT_REPO_URI}" "${STAGING_COMMIT}"
git-r3_checkout "${STAGING_EGIT_REPO_URI}" "${STAGING_DIR}"
- local STAGING_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
+ local COMPAT_WINE_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
- if [[ "${WINE_COMMIT}" != "${STAGING_COMMIT}" ]]; then
+ if [[ "${CURRENT_WINE_COMMIT}" != "${COMPAT_WINE_COMMIT}" ]]; then
einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
einfo "If src_prepare fails, try emerging with the env var EGIT_COMMIT."
- einfo "Example: EGIT_COMMIT=${STAGING_COMMIT} emerge -1 wine"
+ einfo "Example: WINE_COMMIT=${COMPAT_WINE_COMMIT} emerge -1 wine"
fi
fi
fi
diff --git a/app-emulation/wine/wine-1.8.1-r3.ebuild b/app-emulation/wine/wine-1.8.1-r3.ebuild
index 56ea43cbd28a..c83c20d0f5e6 100644
--- a/app-emulation/wine/wine-1.8.1-r3.ebuild
+++ b/app-emulation/wine/wine-1.8.1-r3.ebuild
@@ -247,6 +247,27 @@ wine_build_environment_check() {
fi
}
+wine_env_vcs_vars() {
+ local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
+ local pn_live_val="${pn_live_var}"
+ eval pn_live_val='$'${pn_live_val}
+ if [[ ! -z ${pn_live_val} ]]; then
+ if use staging || use d3d9; then
+ eerror "Because of the multi-repo nature of ${PN}, ${pn_live_var}"
+ eerror "cannot be used to set the commit. Instead, you may use the"
+ eerror "environmental variables WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT."
+ eerror
+ return 1
+ fi
+ fi
+ if [[ ! -z ${EGIT_COMMIT} ]]; then
+ eerror "Commits must now be specified using the environmental variables"
+ eerror "WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT"
+ eerror
+ return 1
+ fi
+}
+
pkg_pretend() {
wine_compiler_check || die
wine_build_environment_check || die
@@ -264,6 +285,7 @@ pkg_pretend() {
pkg_setup() {
wine_build_environment_check || die
+ wine_env_vcs_vars || die
if ! use staging; then
GV=${VANILLA_GV}
MV=${VANILLA_MV}
@@ -275,19 +297,19 @@ pkg_setup() {
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
- git-r3_src_unpack
+ EGIT_COMMIT="${WINE_COMMIT}" git-r3_src_unpack
if use staging; then
- local WINE_COMMIT=${EGIT_VERSION}
+ local CURRENT_WINE_COMMIT=${EGIT_VERSION}
- git-r3_fetch "${STAGING_EGIT_REPO_URI}"
+ git-r3_fetch "${STAGING_EGIT_REPO_URI}" "${STAGING_COMMIT}"
git-r3_checkout "${STAGING_EGIT_REPO_URI}" "${STAGING_DIR}"
- local STAGING_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
+ local COMPAT_WINE_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
- if [[ "${WINE_COMMIT}" != "${STAGING_COMMIT}" ]]; then
+ if [[ "${CURRENT_WINE_COMMIT}" != "${COMPAT_WINE_COMMIT}" ]]; then
einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
einfo "If src_prepare fails, try emerging with the env var EGIT_COMMIT."
- einfo "Example: EGIT_COMMIT=${STAGING_COMMIT} emerge -1 wine"
+ einfo "Example: WINE_COMMIT=${COMPAT_WINE_COMMIT} emerge -1 wine"
fi
fi
fi
diff --git a/app-emulation/wine/wine-1.8.2-r2.ebuild b/app-emulation/wine/wine-1.8.2-r2.ebuild
index 22769236e171..43c0243c662d 100644
--- a/app-emulation/wine/wine-1.8.2-r2.ebuild
+++ b/app-emulation/wine/wine-1.8.2-r2.ebuild
@@ -247,6 +247,27 @@ wine_build_environment_check() {
fi
}
+wine_env_vcs_vars() {
+ local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
+ local pn_live_val="${pn_live_var}"
+ eval pn_live_val='$'${pn_live_val}
+ if [[ ! -z ${pn_live_val} ]]; then
+ if use staging || use d3d9; then
+ eerror "Because of the multi-repo nature of ${PN}, ${pn_live_var}"
+ eerror "cannot be used to set the commit. Instead, you may use the"
+ eerror "environmental variables WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT."
+ eerror
+ return 1
+ fi
+ fi
+ if [[ ! -z ${EGIT_COMMIT} ]]; then
+ eerror "Commits must now be specified using the environmental variables"
+ eerror "WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT"
+ eerror
+ return 1
+ fi
+}
+
pkg_pretend() {
wine_compiler_check || die
wine_build_environment_check || die
@@ -264,6 +285,7 @@ pkg_pretend() {
pkg_setup() {
wine_build_environment_check || die
+ wine_env_vcs_vars || die
if ! use staging; then
GV=${VANILLA_GV}
MV=${VANILLA_MV}
@@ -275,19 +297,19 @@ pkg_setup() {
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
- git-r3_src_unpack
+ EGIT_COMMIT="${WINE_COMMIT}" git-r3_src_unpack
if use staging; then
- local WINE_COMMIT=${EGIT_VERSION}
+ local CURRENT_WINE_COMMIT=${EGIT_VERSION}
- git-r3_fetch "${STAGING_EGIT_REPO_URI}"
+ git-r3_fetch "${STAGING_EGIT_REPO_URI}" "${STAGING_COMMIT}"
git-r3_checkout "${STAGING_EGIT_REPO_URI}" "${STAGING_DIR}"
- local STAGING_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
+ local COMPAT_WINE_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
- if [[ "${WINE_COMMIT}" != "${STAGING_COMMIT}" ]]; then
+ if [[ "${CURRENT_WINE_COMMIT}" != "${COMPAT_WINE_COMMIT}" ]]; then
einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
einfo "If src_prepare fails, try emerging with the env var EGIT_COMMIT."
- einfo "Example: EGIT_COMMIT=${STAGING_COMMIT} emerge -1 wine"
+ einfo "Example: WINE_COMMIT=${COMPAT_WINE_COMMIT} emerge -1 wine"
fi
fi
fi
diff --git a/app-emulation/wine/wine-1.8.3-r1.ebuild b/app-emulation/wine/wine-1.8.3-r1.ebuild
index 8ef5cc90c0b2..c856eceecc9b 100644
--- a/app-emulation/wine/wine-1.8.3-r1.ebuild
+++ b/app-emulation/wine/wine-1.8.3-r1.ebuild
@@ -247,6 +247,27 @@ wine_build_environment_check() {
fi
}
+wine_env_vcs_vars() {
+ local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
+ local pn_live_val="${pn_live_var}"
+ eval pn_live_val='$'${pn_live_val}
+ if [[ ! -z ${pn_live_val} ]]; then
+ if use staging || use d3d9; then
+ eerror "Because of the multi-repo nature of ${PN}, ${pn_live_var}"
+ eerror "cannot be used to set the commit. Instead, you may use the"
+ eerror "environmental variables WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT."
+ eerror
+ return 1
+ fi
+ fi
+ if [[ ! -z ${EGIT_COMMIT} ]]; then
+ eerror "Commits must now be specified using the environmental variables"
+ eerror "WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT"
+ eerror
+ return 1
+ fi
+}
+
pkg_pretend() {
wine_compiler_check || die
wine_build_environment_check || die
@@ -264,6 +285,7 @@ pkg_pretend() {
pkg_setup() {
wine_build_environment_check || die
+ wine_env_vcs_vars || die
if ! use staging; then
GV=${VANILLA_GV}
MV=${VANILLA_MV}
@@ -275,19 +297,19 @@ pkg_setup() {
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
- git-r3_src_unpack
+ EGIT_COMMIT="${WINE_COMMIT}" git-r3_src_unpack
if use staging; then
- local WINE_COMMIT=${EGIT_VERSION}
+ local CURRENT_WINE_COMMIT=${EGIT_VERSION}
- git-r3_fetch "${STAGING_EGIT_REPO_URI}"
+ git-r3_fetch "${STAGING_EGIT_REPO_URI}" "${STAGING_COMMIT}"
git-r3_checkout "${STAGING_EGIT_REPO_URI}" "${STAGING_DIR}"
- local STAGING_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
+ local COMPAT_WINE_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
- if [[ "${WINE_COMMIT}" != "${STAGING_COMMIT}" ]]; then
+ if [[ "${CURRENT_WINE_COMMIT}" != "${COMPAT_WINE_COMMIT}" ]]; then
einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
einfo "If src_prepare fails, try emerging with the env var EGIT_COMMIT."
- einfo "Example: EGIT_COMMIT=${STAGING_COMMIT} emerge -1 wine"
+ einfo "Example: WINE_COMMIT=${COMPAT_WINE_COMMIT} emerge -1 wine"
fi
fi
fi
diff --git a/app-emulation/wine/wine-1.9.10-r3.ebuild b/app-emulation/wine/wine-1.9.10-r3.ebuild
index 0f8b69e87128..5012252dff44 100644
--- a/app-emulation/wine/wine-1.9.10-r3.ebuild
+++ b/app-emulation/wine/wine-1.9.10-r3.ebuild
@@ -254,6 +254,27 @@ wine_build_environment_check() {
fi
}
+wine_env_vcs_vars() {
+ local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
+ local pn_live_val="${pn_live_var}"
+ eval pn_live_val='$'${pn_live_val}
+ if [[ ! -z ${pn_live_val} ]]; then
+ if use staging || use d3d9; then
+ eerror "Because of the multi-repo nature of ${PN}, ${pn_live_var}"
+ eerror "cannot be used to set the commit. Instead, you may use the"
+ eerror "environmental variables WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT."
+ eerror
+ return 1
+ fi
+ fi
+ if [[ ! -z ${EGIT_COMMIT} ]]; then
+ eerror "Commits must now be specified using the environmental variables"
+ eerror "WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT"
+ eerror
+ return 1
+ fi
+}
+
pkg_pretend() {
wine_compiler_check || die
wine_build_environment_check || die
@@ -271,6 +292,7 @@ pkg_pretend() {
pkg_setup() {
wine_build_environment_check || die
+ wine_env_vcs_vars || die
if ! use staging; then
GV=${VANILLA_GV}
MV=${VANILLA_MV}
@@ -282,23 +304,23 @@ pkg_setup() {
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
- git-r3_src_unpack
+ EGIT_COMMIT="${WINE_COMMIT}" git-r3_src_unpack
if use staging; then
- local WINE_COMMIT=${EGIT_VERSION}
+ local CURRENT_WINE_COMMIT=${EGIT_VERSION}
- git-r3_fetch "${STAGING_EGIT_REPO_URI}"
+ git-r3_fetch "${STAGING_EGIT_REPO_URI}" "${STAGING_COMMIT}"
git-r3_checkout "${STAGING_EGIT_REPO_URI}" "${STAGING_DIR}"
- local STAGING_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
+ local COMPAT_WINE_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
- if [[ "${WINE_COMMIT}" != "${STAGING_COMMIT}" ]]; then
+ if [[ "${CURRENT_WINE_COMMIT}" != "${COMPAT_WINE_COMMIT}" ]]; then
einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
einfo "If src_prepare fails, try emerging with the env var EGIT_COMMIT."
- einfo "Example: EGIT_COMMIT=${STAGING_COMMIT} emerge -1 wine"
+ einfo "Example: WINE_COMMIT=${COMPAT_WINE_COMMIT} emerge -1 wine"
fi
fi
if use d3d9; then
- git-r3_fetch "${D3D9_EGIT_REPO_URI}"
+ git-r3_fetch "${D3D9_EGIT_REPO_URI}" "${D3D9_COMMIT}"
git-r3_checkout "${D3D9_EGIT_REPO_URI}" "${D3D9_DIR}"
fi
fi
diff --git a/app-emulation/wine/wine-1.9.11-r3.ebuild b/app-emulation/wine/wine-1.9.11-r3.ebuild
index 0f8b69e87128..5012252dff44 100644
--- a/app-emulation/wine/wine-1.9.11-r3.ebuild
+++ b/app-emulation/wine/wine-1.9.11-r3.ebuild
@@ -254,6 +254,27 @@ wine_build_environment_check() {
fi
}
+wine_env_vcs_vars() {
+ local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
+ local pn_live_val="${pn_live_var}"
+ eval pn_live_val='$'${pn_live_val}
+ if [[ ! -z ${pn_live_val} ]]; then
+ if use staging || use d3d9; then
+ eerror "Because of the multi-repo nature of ${PN}, ${pn_live_var}"
+ eerror "cannot be used to set the commit. Instead, you may use the"
+ eerror "environmental variables WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT."
+ eerror
+ return 1
+ fi
+ fi
+ if [[ ! -z ${EGIT_COMMIT} ]]; then
+ eerror "Commits must now be specified using the environmental variables"
+ eerror "WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT"
+ eerror
+ return 1
+ fi
+}
+
pkg_pretend() {
wine_compiler_check || die
wine_build_environment_check || die
@@ -271,6 +292,7 @@ pkg_pretend() {
pkg_setup() {
wine_build_environment_check || die
+ wine_env_vcs_vars || die
if ! use staging; then
GV=${VANILLA_GV}
MV=${VANILLA_MV}
@@ -282,23 +304,23 @@ pkg_setup() {
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
- git-r3_src_unpack
+ EGIT_COMMIT="${WINE_COMMIT}" git-r3_src_unpack
if use staging; then
- local WINE_COMMIT=${EGIT_VERSION}
+ local CURRENT_WINE_COMMIT=${EGIT_VERSION}
- git-r3_fetch "${STAGING_EGIT_REPO_URI}"
+ git-r3_fetch "${STAGING_EGIT_REPO_URI}" "${STAGING_COMMIT}"
git-r3_checkout "${STAGING_EGIT_REPO_URI}" "${STAGING_DIR}"
- local STAGING_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
+ local COMPAT_WINE_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
- if [[ "${WINE_COMMIT}" != "${STAGING_COMMIT}" ]]; then
+ if [[ "${CURRENT_WINE_COMMIT}" != "${COMPAT_WINE_COMMIT}" ]]; then
einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
einfo "If src_prepare fails, try emerging with the env var EGIT_COMMIT."
- einfo "Example: EGIT_COMMIT=${STAGING_COMMIT} emerge -1 wine"
+ einfo "Example: WINE_COMMIT=${COMPAT_WINE_COMMIT} emerge -1 wine"
fi
fi
if use d3d9; then
- git-r3_fetch "${D3D9_EGIT_REPO_URI}"
+ git-r3_fetch "${D3D9_EGIT_REPO_URI}" "${D3D9_COMMIT}"
git-r3_checkout "${D3D9_EGIT_REPO_URI}" "${D3D9_DIR}"
fi
fi
diff --git a/app-emulation/wine/wine-1.9.12-r2.ebuild b/app-emulation/wine/wine-1.9.12-r2.ebuild
index 46a6f207d6c6..6e2868f427ef 100644
--- a/app-emulation/wine/wine-1.9.12-r2.ebuild
+++ b/app-emulation/wine/wine-1.9.12-r2.ebuild
@@ -254,6 +254,27 @@ wine_build_environment_check() {
fi
}
+wine_env_vcs_vars() {
+ local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
+ local pn_live_val="${pn_live_var}"
+ eval pn_live_val='$'${pn_live_val}
+ if [[ ! -z ${pn_live_val} ]]; then
+ if use staging || use d3d9; then
+ eerror "Because of the multi-repo nature of ${PN}, ${pn_live_var}"
+ eerror "cannot be used to set the commit. Instead, you may use the"
+ eerror "environmental variables WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT."
+ eerror
+ return 1
+ fi
+ fi
+ if [[ ! -z ${EGIT_COMMIT} ]]; then
+ eerror "Commits must now be specified using the environmental variables"
+ eerror "WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT"
+ eerror
+ return 1
+ fi
+}
+
pkg_pretend() {
wine_compiler_check || die
wine_build_environment_check || die
@@ -271,6 +292,7 @@ pkg_pretend() {
pkg_setup() {
wine_build_environment_check || die
+ wine_env_vcs_vars || die
if ! use staging; then
GV=${VANILLA_GV}
MV=${VANILLA_MV}
@@ -282,23 +304,23 @@ pkg_setup() {
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
- git-r3_src_unpack
+ EGIT_COMMIT="${WINE_COMMIT}" git-r3_src_unpack
if use staging; then
- local WINE_COMMIT=${EGIT_VERSION}
+ local CURRENT_WINE_COMMIT=${EGIT_VERSION}
- git-r3_fetch "${STAGING_EGIT_REPO_URI}"
+ git-r3_fetch "${STAGING_EGIT_REPO_URI}" "${STAGING_COMMIT}"
git-r3_checkout "${STAGING_EGIT_REPO_URI}" "${STAGING_DIR}"
- local STAGING_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
+ local COMPAT_WINE_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
- if [[ "${WINE_COMMIT}" != "${STAGING_COMMIT}" ]]; then
+ if [[ "${CURRENT_WINE_COMMIT}" != "${COMPAT_WINE_COMMIT}" ]]; then
einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
einfo "If src_prepare fails, try emerging with the env var EGIT_COMMIT."
- einfo "Example: EGIT_COMMIT=${STAGING_COMMIT} emerge -1 wine"
+ einfo "Example: WINE_COMMIT=${COMPAT_WINE_COMMIT} emerge -1 wine"
fi
fi
if use d3d9; then
- git-r3_fetch "${D3D9_EGIT_REPO_URI}"
+ git-r3_fetch "${D3D9_EGIT_REPO_URI}" "${D3D9_COMMIT}"
git-r3_checkout "${D3D9_EGIT_REPO_URI}" "${D3D9_DIR}"
fi
fi
diff --git a/app-emulation/wine/wine-1.9.13-r2.ebuild b/app-emulation/wine/wine-1.9.13-r2.ebuild
index 8bedf3424818..8c4e720b9c4a 100644
--- a/app-emulation/wine/wine-1.9.13-r2.ebuild
+++ b/app-emulation/wine/wine-1.9.13-r2.ebuild
@@ -254,6 +254,27 @@ wine_build_environment_check() {
fi
}
+wine_env_vcs_vars() {
+ local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
+ local pn_live_val="${pn_live_var}"
+ eval pn_live_val='$'${pn_live_val}
+ if [[ ! -z ${pn_live_val} ]]; then
+ if use staging || use d3d9; then
+ eerror "Because of the multi-repo nature of ${PN}, ${pn_live_var}"
+ eerror "cannot be used to set the commit. Instead, you may use the"
+ eerror "environmental variables WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT."
+ eerror
+ return 1
+ fi
+ fi
+ if [[ ! -z ${EGIT_COMMIT} ]]; then
+ eerror "Commits must now be specified using the environmental variables"
+ eerror "WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT"
+ eerror
+ return 1
+ fi
+}
+
pkg_pretend() {
wine_compiler_check || die
wine_build_environment_check || die
@@ -271,6 +292,7 @@ pkg_pretend() {
pkg_setup() {
wine_build_environment_check || die
+ wine_env_vcs_vars || die
if ! use staging; then
GV=${VANILLA_GV}
MV=${VANILLA_MV}
@@ -282,23 +304,23 @@ pkg_setup() {
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
- git-r3_src_unpack
+ EGIT_COMMIT="${WINE_COMMIT}" git-r3_src_unpack
if use staging; then
- local WINE_COMMIT=${EGIT_VERSION}
+ local CURRENT_WINE_COMMIT=${EGIT_VERSION}
- git-r3_fetch "${STAGING_EGIT_REPO_URI}"
+ git-r3_fetch "${STAGING_EGIT_REPO_URI}" "${STAGING_COMMIT}"
git-r3_checkout "${STAGING_EGIT_REPO_URI}" "${STAGING_DIR}"
- local STAGING_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
+ local COMPAT_WINE_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
- if [[ "${WINE_COMMIT}" != "${STAGING_COMMIT}" ]]; then
+ if [[ "${CURRENT_WINE_COMMIT}" != "${COMPAT_WINE_COMMIT}" ]]; then
einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
einfo "If src_prepare fails, try emerging with the env var EGIT_COMMIT."
- einfo "Example: EGIT_COMMIT=${STAGING_COMMIT} emerge -1 wine"
+ einfo "Example: WINE_COMMIT=${COMPAT_WINE_COMMIT} emerge -1 wine"
fi
fi
if use d3d9; then
- git-r3_fetch "${D3D9_EGIT_REPO_URI}"
+ git-r3_fetch "${D3D9_EGIT_REPO_URI}" "${D3D9_COMMIT}"
git-r3_checkout "${D3D9_EGIT_REPO_URI}" "${D3D9_DIR}"
fi
fi
diff --git a/app-emulation/wine/wine-1.9.14-r2.ebuild b/app-emulation/wine/wine-1.9.14-r2.ebuild
index 8bedf3424818..8c4e720b9c4a 100644
--- a/app-emulation/wine/wine-1.9.14-r2.ebuild
+++ b/app-emulation/wine/wine-1.9.14-r2.ebuild
@@ -254,6 +254,27 @@ wine_build_environment_check() {
fi
}
+wine_env_vcs_vars() {
+ local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
+ local pn_live_val="${pn_live_var}"
+ eval pn_live_val='$'${pn_live_val}
+ if [[ ! -z ${pn_live_val} ]]; then
+ if use staging || use d3d9; then
+ eerror "Because of the multi-repo nature of ${PN}, ${pn_live_var}"
+ eerror "cannot be used to set the commit. Instead, you may use the"
+ eerror "environmental variables WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT."
+ eerror
+ return 1
+ fi
+ fi
+ if [[ ! -z ${EGIT_COMMIT} ]]; then
+ eerror "Commits must now be specified using the environmental variables"
+ eerror "WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT"
+ eerror
+ return 1
+ fi
+}
+
pkg_pretend() {
wine_compiler_check || die
wine_build_environment_check || die
@@ -271,6 +292,7 @@ pkg_pretend() {
pkg_setup() {
wine_build_environment_check || die
+ wine_env_vcs_vars || die
if ! use staging; then
GV=${VANILLA_GV}
MV=${VANILLA_MV}
@@ -282,23 +304,23 @@ pkg_setup() {
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
- git-r3_src_unpack
+ EGIT_COMMIT="${WINE_COMMIT}" git-r3_src_unpack
if use staging; then
- local WINE_COMMIT=${EGIT_VERSION}
+ local CURRENT_WINE_COMMIT=${EGIT_VERSION}
- git-r3_fetch "${STAGING_EGIT_REPO_URI}"
+ git-r3_fetch "${STAGING_EGIT_REPO_URI}" "${STAGING_COMMIT}"
git-r3_checkout "${STAGING_EGIT_REPO_URI}" "${STAGING_DIR}"
- local STAGING_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
+ local COMPAT_WINE_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
- if [[ "${WINE_COMMIT}" != "${STAGING_COMMIT}" ]]; then
+ if [[ "${CURRENT_WINE_COMMIT}" != "${COMPAT_WINE_COMMIT}" ]]; then
einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
einfo "If src_prepare fails, try emerging with the env var EGIT_COMMIT."
- einfo "Example: EGIT_COMMIT=${STAGING_COMMIT} emerge -1 wine"
+ einfo "Example: WINE_COMMIT=${COMPAT_WINE_COMMIT} emerge -1 wine"
fi
fi
if use d3d9; then
- git-r3_fetch "${D3D9_EGIT_REPO_URI}"
+ git-r3_fetch "${D3D9_EGIT_REPO_URI}" "${D3D9_COMMIT}"
git-r3_checkout "${D3D9_EGIT_REPO_URI}" "${D3D9_DIR}"
fi
fi
diff --git a/app-emulation/wine/wine-1.9.15-r1.ebuild b/app-emulation/wine/wine-1.9.15-r1.ebuild
index 8bedf3424818..8c4e720b9c4a 100644
--- a/app-emulation/wine/wine-1.9.15-r1.ebuild
+++ b/app-emulation/wine/wine-1.9.15-r1.ebuild
@@ -254,6 +254,27 @@ wine_build_environment_check() {
fi
}
+wine_env_vcs_vars() {
+ local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
+ local pn_live_val="${pn_live_var}"
+ eval pn_live_val='$'${pn_live_val}
+ if [[ ! -z ${pn_live_val} ]]; then
+ if use staging || use d3d9; then
+ eerror "Because of the multi-repo nature of ${PN}, ${pn_live_var}"
+ eerror "cannot be used to set the commit. Instead, you may use the"
+ eerror "environmental variables WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT."
+ eerror
+ return 1
+ fi
+ fi
+ if [[ ! -z ${EGIT_COMMIT} ]]; then
+ eerror "Commits must now be specified using the environmental variables"
+ eerror "WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT"
+ eerror
+ return 1
+ fi
+}
+
pkg_pretend() {
wine_compiler_check || die
wine_build_environment_check || die
@@ -271,6 +292,7 @@ pkg_pretend() {
pkg_setup() {
wine_build_environment_check || die
+ wine_env_vcs_vars || die
if ! use staging; then
GV=${VANILLA_GV}
MV=${VANILLA_MV}
@@ -282,23 +304,23 @@ pkg_setup() {
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
- git-r3_src_unpack
+ EGIT_COMMIT="${WINE_COMMIT}" git-r3_src_unpack
if use staging; then
- local WINE_COMMIT=${EGIT_VERSION}
+ local CURRENT_WINE_COMMIT=${EGIT_VERSION}
- git-r3_fetch "${STAGING_EGIT_REPO_URI}"
+ git-r3_fetch "${STAGING_EGIT_REPO_URI}" "${STAGING_COMMIT}"
git-r3_checkout "${STAGING_EGIT_REPO_URI}" "${STAGING_DIR}"
- local STAGING_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
+ local COMPAT_WINE_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
- if [[ "${WINE_COMMIT}" != "${STAGING_COMMIT}" ]]; then
+ if [[ "${CURRENT_WINE_COMMIT}" != "${COMPAT_WINE_COMMIT}" ]]; then
einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
einfo "If src_prepare fails, try emerging with the env var EGIT_COMMIT."
- einfo "Example: EGIT_COMMIT=${STAGING_COMMIT} emerge -1 wine"
+ einfo "Example: WINE_COMMIT=${COMPAT_WINE_COMMIT} emerge -1 wine"
fi
fi
if use d3d9; then
- git-r3_fetch "${D3D9_EGIT_REPO_URI}"
+ git-r3_fetch "${D3D9_EGIT_REPO_URI}" "${D3D9_COMMIT}"
git-r3_checkout "${D3D9_EGIT_REPO_URI}" "${D3D9_DIR}"
fi
fi
diff --git a/app-emulation/wine/wine-1.9.16.ebuild b/app-emulation/wine/wine-1.9.16.ebuild
index 8bedf3424818..8c4e720b9c4a 100644
--- a/app-emulation/wine/wine-1.9.16.ebuild
+++ b/app-emulation/wine/wine-1.9.16.ebuild
@@ -254,6 +254,27 @@ wine_build_environment_check() {
fi
}
+wine_env_vcs_vars() {
+ local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
+ local pn_live_val="${pn_live_var}"
+ eval pn_live_val='$'${pn_live_val}
+ if [[ ! -z ${pn_live_val} ]]; then
+ if use staging || use d3d9; then
+ eerror "Because of the multi-repo nature of ${PN}, ${pn_live_var}"
+ eerror "cannot be used to set the commit. Instead, you may use the"
+ eerror "environmental variables WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT."
+ eerror
+ return 1
+ fi
+ fi
+ if [[ ! -z ${EGIT_COMMIT} ]]; then
+ eerror "Commits must now be specified using the environmental variables"
+ eerror "WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT"
+ eerror
+ return 1
+ fi
+}
+
pkg_pretend() {
wine_compiler_check || die
wine_build_environment_check || die
@@ -271,6 +292,7 @@ pkg_pretend() {
pkg_setup() {
wine_build_environment_check || die
+ wine_env_vcs_vars || die
if ! use staging; then
GV=${VANILLA_GV}
MV=${VANILLA_MV}
@@ -282,23 +304,23 @@ pkg_setup() {
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
- git-r3_src_unpack
+ EGIT_COMMIT="${WINE_COMMIT}" git-r3_src_unpack
if use staging; then
- local WINE_COMMIT=${EGIT_VERSION}
+ local CURRENT_WINE_COMMIT=${EGIT_VERSION}
- git-r3_fetch "${STAGING_EGIT_REPO_URI}"
+ git-r3_fetch "${STAGING_EGIT_REPO_URI}" "${STAGING_COMMIT}"
git-r3_checkout "${STAGING_EGIT_REPO_URI}" "${STAGING_DIR}"
- local STAGING_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
+ local COMPAT_WINE_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
- if [[ "${WINE_COMMIT}" != "${STAGING_COMMIT}" ]]; then
+ if [[ "${CURRENT_WINE_COMMIT}" != "${COMPAT_WINE_COMMIT}" ]]; then
einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
einfo "If src_prepare fails, try emerging with the env var EGIT_COMMIT."
- einfo "Example: EGIT_COMMIT=${STAGING_COMMIT} emerge -1 wine"
+ einfo "Example: WINE_COMMIT=${COMPAT_WINE_COMMIT} emerge -1 wine"
fi
fi
if use d3d9; then
- git-r3_fetch "${D3D9_EGIT_REPO_URI}"
+ git-r3_fetch "${D3D9_EGIT_REPO_URI}" "${D3D9_COMMIT}"
git-r3_checkout "${D3D9_EGIT_REPO_URI}" "${D3D9_DIR}"
fi
fi
diff --git a/app-emulation/wine/wine-1.9.17.ebuild b/app-emulation/wine/wine-1.9.17.ebuild
index b5dad1f472ae..4f8f3e98c51b 100644
--- a/app-emulation/wine/wine-1.9.17.ebuild
+++ b/app-emulation/wine/wine-1.9.17.ebuild
@@ -254,6 +254,27 @@ wine_build_environment_check() {
fi
}
+wine_env_vcs_vars() {
+ local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
+ local pn_live_val="${pn_live_var}"
+ eval pn_live_val='$'${pn_live_val}
+ if [[ ! -z ${pn_live_val} ]]; then
+ if use staging || use d3d9; then
+ eerror "Because of the multi-repo nature of ${PN}, ${pn_live_var}"
+ eerror "cannot be used to set the commit. Instead, you may use the"
+ eerror "environmental variables WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT."
+ eerror
+ return 1
+ fi
+ fi
+ if [[ ! -z ${EGIT_COMMIT} ]]; then
+ eerror "Commits must now be specified using the environmental variables"
+ eerror "WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT"
+ eerror
+ return 1
+ fi
+}
+
pkg_pretend() {
wine_compiler_check || die
wine_build_environment_check || die
@@ -271,6 +292,7 @@ pkg_pretend() {
pkg_setup() {
wine_build_environment_check || die
+ wine_env_vcs_vars || die
if ! use staging; then
GV=${VANILLA_GV}
MV=${VANILLA_MV}
@@ -282,23 +304,23 @@ pkg_setup() {
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
- git-r3_src_unpack
+ EGIT_COMMIT="${WINE_COMMIT}" git-r3_src_unpack
if use staging; then
- local WINE_COMMIT=${EGIT_VERSION}
+ local CURRENT_WINE_COMMIT=${EGIT_VERSION}
- git-r3_fetch "${STAGING_EGIT_REPO_URI}"
+ git-r3_fetch "${STAGING_EGIT_REPO_URI}" "${STAGING_COMMIT}"
git-r3_checkout "${STAGING_EGIT_REPO_URI}" "${STAGING_DIR}"
- local STAGING_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
+ local COMPAT_WINE_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
- if [[ "${WINE_COMMIT}" != "${STAGING_COMMIT}" ]]; then
+ if [[ "${CURRENT_WINE_COMMIT}" != "${COMPAT_WINE_COMMIT}" ]]; then
einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
einfo "If src_prepare fails, try emerging with the env var EGIT_COMMIT."
- einfo "Example: EGIT_COMMIT=${STAGING_COMMIT} emerge -1 wine"
+ einfo "Example: WINE_COMMIT=${COMPAT_WINE_COMMIT} emerge -1 wine"
fi
fi
if use d3d9; then
- git-r3_fetch "${D3D9_EGIT_REPO_URI}"
+ git-r3_fetch "${D3D9_EGIT_REPO_URI}" "${D3D9_COMMIT}"
git-r3_checkout "${D3D9_EGIT_REPO_URI}" "${D3D9_DIR}"
fi
fi
diff --git a/app-emulation/wine/wine-1.9.4-r3.ebuild b/app-emulation/wine/wine-1.9.4-r3.ebuild
index 6a4d343f1e42..9f75de1603e5 100644
--- a/app-emulation/wine/wine-1.9.4-r3.ebuild
+++ b/app-emulation/wine/wine-1.9.4-r3.ebuild
@@ -245,6 +245,27 @@ wine_build_environment_check() {
fi
}
+wine_env_vcs_vars() {
+ local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
+ local pn_live_val="${pn_live_var}"
+ eval pn_live_val='$'${pn_live_val}
+ if [[ ! -z ${pn_live_val} ]]; then
+ if use staging || use d3d9; then
+ eerror "Because of the multi-repo nature of ${PN}, ${pn_live_var}"
+ eerror "cannot be used to set the commit. Instead, you may use the"
+ eerror "environmental variables WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT."
+ eerror
+ return 1
+ fi
+ fi
+ if [[ ! -z ${EGIT_COMMIT} ]]; then
+ eerror "Commits must now be specified using the environmental variables"
+ eerror "WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT"
+ eerror
+ return 1
+ fi
+}
+
pkg_pretend() {
wine_compiler_check || die
wine_build_environment_check || die
@@ -262,6 +283,7 @@ pkg_pretend() {
pkg_setup() {
wine_build_environment_check || die
+ wine_env_vcs_vars || die
if ! use staging; then
GV=${VANILLA_GV}
MV=${VANILLA_MV}
@@ -273,19 +295,19 @@ pkg_setup() {
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
- git-r3_src_unpack
+ EGIT_COMMIT="${WINE_COMMIT}" git-r3_src_unpack
if use staging; then
- local WINE_COMMIT=${EGIT_VERSION}
+ local CURRENT_WINE_COMMIT=${EGIT_VERSION}
- git-r3_fetch "${STAGING_EGIT_REPO_URI}"
+ git-r3_fetch "${STAGING_EGIT_REPO_URI}" "${STAGING_COMMIT}"
git-r3_checkout "${STAGING_EGIT_REPO_URI}" "${STAGING_DIR}"
- local STAGING_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
+ local COMPAT_WINE_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
- if [[ "${WINE_COMMIT}" != "${STAGING_COMMIT}" ]]; then
+ if [[ "${CURRENT_WINE_COMMIT}" != "${COMPAT_WINE_COMMIT}" ]]; then
einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
einfo "If src_prepare fails, try emerging with the env var EGIT_COMMIT."
- einfo "Example: EGIT_COMMIT=${STAGING_COMMIT} emerge -1 wine"
+ einfo "Example: WINE_COMMIT=${COMPAT_WINE_COMMIT} emerge -1 wine"
fi
fi
fi
diff --git a/app-emulation/wine/wine-1.9.5-r3.ebuild b/app-emulation/wine/wine-1.9.5-r3.ebuild
index e1865137f9c8..c280dc551d03 100644
--- a/app-emulation/wine/wine-1.9.5-r3.ebuild
+++ b/app-emulation/wine/wine-1.9.5-r3.ebuild
@@ -244,6 +244,27 @@ wine_build_environment_check() {
fi
}
+wine_env_vcs_vars() {
+ local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
+ local pn_live_val="${pn_live_var}"
+ eval pn_live_val='$'${pn_live_val}
+ if [[ ! -z ${pn_live_val} ]]; then
+ if use staging || use d3d9; then
+ eerror "Because of the multi-repo nature of ${PN}, ${pn_live_var}"
+ eerror "cannot be used to set the commit. Instead, you may use the"
+ eerror "environmental variables WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT."
+ eerror
+ return 1
+ fi
+ fi
+ if [[ ! -z ${EGIT_COMMIT} ]]; then
+ eerror "Commits must now be specified using the environmental variables"
+ eerror "WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT"
+ eerror
+ return 1
+ fi
+}
+
pkg_pretend() {
wine_compiler_check || die
wine_build_environment_check || die
@@ -261,6 +282,7 @@ pkg_pretend() {
pkg_setup() {
wine_build_environment_check || die
+ wine_env_vcs_vars || die
if ! use staging; then
GV=${VANILLA_GV}
MV=${VANILLA_MV}
@@ -272,19 +294,19 @@ pkg_setup() {
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
- git-r3_src_unpack
+ EGIT_COMMIT="${WINE_COMMIT}" git-r3_src_unpack
if use staging; then
- local WINE_COMMIT=${EGIT_VERSION}
+ local CURRENT_WINE_COMMIT=${EGIT_VERSION}
- git-r3_fetch "${STAGING_EGIT_REPO_URI}"
+ git-r3_fetch "${STAGING_EGIT_REPO_URI}" "${STAGING_COMMIT}"
git-r3_checkout "${STAGING_EGIT_REPO_URI}" "${STAGING_DIR}"
- local STAGING_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
+ local COMPAT_WINE_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
- if [[ "${WINE_COMMIT}" != "${STAGING_COMMIT}" ]]; then
+ if [[ "${CURRENT_WINE_COMMIT}" != "${COMPAT_WINE_COMMIT}" ]]; then
einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
einfo "If src_prepare fails, try emerging with the env var EGIT_COMMIT."
- einfo "Example: EGIT_COMMIT=${STAGING_COMMIT} emerge -1 wine"
+ einfo "Example: WINE_COMMIT=${COMPAT_WINE_COMMIT} emerge -1 wine"
fi
fi
fi
diff --git a/app-emulation/wine/wine-1.9.6-r3.ebuild b/app-emulation/wine/wine-1.9.6-r3.ebuild
index d91273b57d92..d77474b10061 100644
--- a/app-emulation/wine/wine-1.9.6-r3.ebuild
+++ b/app-emulation/wine/wine-1.9.6-r3.ebuild
@@ -244,6 +244,27 @@ wine_build_environment_check() {
fi
}
+wine_env_vcs_vars() {
+ local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
+ local pn_live_val="${pn_live_var}"
+ eval pn_live_val='$'${pn_live_val}
+ if [[ ! -z ${pn_live_val} ]]; then
+ if use staging || use d3d9; then
+ eerror "Because of the multi-repo nature of ${PN}, ${pn_live_var}"
+ eerror "cannot be used to set the commit. Instead, you may use the"
+ eerror "environmental variables WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT."
+ eerror
+ return 1
+ fi
+ fi
+ if [[ ! -z ${EGIT_COMMIT} ]]; then
+ eerror "Commits must now be specified using the environmental variables"
+ eerror "WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT"
+ eerror
+ return 1
+ fi
+}
+
pkg_pretend() {
wine_compiler_check || die
wine_build_environment_check || die
@@ -261,6 +282,7 @@ pkg_pretend() {
pkg_setup() {
wine_build_environment_check || die
+ wine_env_vcs_vars || die
if ! use staging; then
GV=${VANILLA_GV}
MV=${VANILLA_MV}
@@ -272,19 +294,19 @@ pkg_setup() {
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
- git-r3_src_unpack
+ EGIT_COMMIT="${WINE_COMMIT}" git-r3_src_unpack
if use staging; then
- local WINE_COMMIT=${EGIT_VERSION}
+ local CURRENT_WINE_COMMIT=${EGIT_VERSION}
- git-r3_fetch "${STAGING_EGIT_REPO_URI}"
+ git-r3_fetch "${STAGING_EGIT_REPO_URI}" "${STAGING_COMMIT}"
git-r3_checkout "${STAGING_EGIT_REPO_URI}" "${STAGING_DIR}"
- local STAGING_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
+ local COMPAT_WINE_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
- if [[ "${WINE_COMMIT}" != "${STAGING_COMMIT}" ]]; then
+ if [[ "${CURRENT_WINE_COMMIT}" != "${COMPAT_WINE_COMMIT}" ]]; then
einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
einfo "If src_prepare fails, try emerging with the env var EGIT_COMMIT."
- einfo "Example: EGIT_COMMIT=${STAGING_COMMIT} emerge -1 wine"
+ einfo "Example: WINE_COMMIT=${COMPAT_WINE_COMMIT} emerge -1 wine"
fi
fi
fi
diff --git a/app-emulation/wine/wine-1.9.7-r3.ebuild b/app-emulation/wine/wine-1.9.7-r3.ebuild
index d91273b57d92..d77474b10061 100644
--- a/app-emulation/wine/wine-1.9.7-r3.ebuild
+++ b/app-emulation/wine/wine-1.9.7-r3.ebuild
@@ -244,6 +244,27 @@ wine_build_environment_check() {
fi
}
+wine_env_vcs_vars() {
+ local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
+ local pn_live_val="${pn_live_var}"
+ eval pn_live_val='$'${pn_live_val}
+ if [[ ! -z ${pn_live_val} ]]; then
+ if use staging || use d3d9; then
+ eerror "Because of the multi-repo nature of ${PN}, ${pn_live_var}"
+ eerror "cannot be used to set the commit. Instead, you may use the"
+ eerror "environmental variables WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT."
+ eerror
+ return 1
+ fi
+ fi
+ if [[ ! -z ${EGIT_COMMIT} ]]; then
+ eerror "Commits must now be specified using the environmental variables"
+ eerror "WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT"
+ eerror
+ return 1
+ fi
+}
+
pkg_pretend() {
wine_compiler_check || die
wine_build_environment_check || die
@@ -261,6 +282,7 @@ pkg_pretend() {
pkg_setup() {
wine_build_environment_check || die
+ wine_env_vcs_vars || die
if ! use staging; then
GV=${VANILLA_GV}
MV=${VANILLA_MV}
@@ -272,19 +294,19 @@ pkg_setup() {
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
- git-r3_src_unpack
+ EGIT_COMMIT="${WINE_COMMIT}" git-r3_src_unpack
if use staging; then
- local WINE_COMMIT=${EGIT_VERSION}
+ local CURRENT_WINE_COMMIT=${EGIT_VERSION}
- git-r3_fetch "${STAGING_EGIT_REPO_URI}"
+ git-r3_fetch "${STAGING_EGIT_REPO_URI}" "${STAGING_COMMIT}"
git-r3_checkout "${STAGING_EGIT_REPO_URI}" "${STAGING_DIR}"
- local STAGING_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
+ local COMPAT_WINE_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
- if [[ "${WINE_COMMIT}" != "${STAGING_COMMIT}" ]]; then
+ if [[ "${CURRENT_WINE_COMMIT}" != "${COMPAT_WINE_COMMIT}" ]]; then
einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
einfo "If src_prepare fails, try emerging with the env var EGIT_COMMIT."
- einfo "Example: EGIT_COMMIT=${STAGING_COMMIT} emerge -1 wine"
+ einfo "Example: WINE_COMMIT=${COMPAT_WINE_COMMIT} emerge -1 wine"
fi
fi
fi
diff --git a/app-emulation/wine/wine-1.9.8-r2.ebuild b/app-emulation/wine/wine-1.9.8-r2.ebuild
index cc1f86d9239e..714463ee4f89 100644
--- a/app-emulation/wine/wine-1.9.8-r2.ebuild
+++ b/app-emulation/wine/wine-1.9.8-r2.ebuild
@@ -244,6 +244,27 @@ wine_build_environment_check() {
fi
}
+wine_env_vcs_vars() {
+ local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
+ local pn_live_val="${pn_live_var}"
+ eval pn_live_val='$'${pn_live_val}
+ if [[ ! -z ${pn_live_val} ]]; then
+ if use staging || use d3d9; then
+ eerror "Because of the multi-repo nature of ${PN}, ${pn_live_var}"
+ eerror "cannot be used to set the commit. Instead, you may use the"
+ eerror "environmental variables WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT."
+ eerror
+ return 1
+ fi
+ fi
+ if [[ ! -z ${EGIT_COMMIT} ]]; then
+ eerror "Commits must now be specified using the environmental variables"
+ eerror "WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT"
+ eerror
+ return 1
+ fi
+}
+
pkg_pretend() {
wine_compiler_check || die
wine_build_environment_check || die
@@ -261,6 +282,7 @@ pkg_pretend() {
pkg_setup() {
wine_build_environment_check || die
+ wine_env_vcs_vars || die
if ! use staging; then
GV=${VANILLA_GV}
MV=${VANILLA_MV}
@@ -272,19 +294,19 @@ pkg_setup() {
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
- git-r3_src_unpack
+ EGIT_COMMIT="${WINE_COMMIT}" git-r3_src_unpack
if use staging; then
- local WINE_COMMIT=${EGIT_VERSION}
+ local CURRENT_WINE_COMMIT=${EGIT_VERSION}
- git-r3_fetch "${STAGING_EGIT_REPO_URI}"
+ git-r3_fetch "${STAGING_EGIT_REPO_URI}" "${STAGING_COMMIT}"
git-r3_checkout "${STAGING_EGIT_REPO_URI}" "${STAGING_DIR}"
- local STAGING_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
+ local COMPAT_WINE_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
- if [[ "${WINE_COMMIT}" != "${STAGING_COMMIT}" ]]; then
+ if [[ "${CURRENT_WINE_COMMIT}" != "${COMPAT_WINE_COMMIT}" ]]; then
einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
einfo "If src_prepare fails, try emerging with the env var EGIT_COMMIT."
- einfo "Example: EGIT_COMMIT=${STAGING_COMMIT} emerge -1 wine"
+ einfo "Example: WINE_COMMIT=${COMPAT_WINE_COMMIT} emerge -1 wine"
fi
fi
fi
diff --git a/app-emulation/wine/wine-1.9.9-r3.ebuild b/app-emulation/wine/wine-1.9.9-r3.ebuild
index 24ef63d8023d..180e41ddd917 100644
--- a/app-emulation/wine/wine-1.9.9-r3.ebuild
+++ b/app-emulation/wine/wine-1.9.9-r3.ebuild
@@ -254,6 +254,27 @@ wine_build_environment_check() {
fi
}
+wine_env_vcs_vars() {
+ local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
+ local pn_live_val="${pn_live_var}"
+ eval pn_live_val='$'${pn_live_val}
+ if [[ ! -z ${pn_live_val} ]]; then
+ if use staging || use d3d9; then
+ eerror "Because of the multi-repo nature of ${PN}, ${pn_live_var}"
+ eerror "cannot be used to set the commit. Instead, you may use the"
+ eerror "environmental variables WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT."
+ eerror
+ return 1
+ fi
+ fi
+ if [[ ! -z ${EGIT_COMMIT} ]]; then
+ eerror "Commits must now be specified using the environmental variables"
+ eerror "WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT"
+ eerror
+ return 1
+ fi
+}
+
pkg_pretend() {
wine_compiler_check || die
wine_build_environment_check || die
@@ -271,6 +292,7 @@ pkg_pretend() {
pkg_setup() {
wine_build_environment_check || die
+ wine_env_vcs_vars || die
if ! use staging; then
GV=${VANILLA_GV}
MV=${VANILLA_MV}
@@ -282,23 +304,23 @@ pkg_setup() {
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
- git-r3_src_unpack
+ EGIT_COMMIT="${WINE_COMMIT}" git-r3_src_unpack
if use staging; then
- local WINE_COMMIT=${EGIT_VERSION}
+ local CURRENT_WINE_COMMIT=${EGIT_VERSION}
- git-r3_fetch "${STAGING_EGIT_REPO_URI}"
+ git-r3_fetch "${STAGING_EGIT_REPO_URI}" "${STAGING_COMMIT}"
git-r3_checkout "${STAGING_EGIT_REPO_URI}" "${STAGING_DIR}"
- local STAGING_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
+ local COMPAT_WINE_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
- if [[ "${WINE_COMMIT}" != "${STAGING_COMMIT}" ]]; then
+ if [[ "${CURRENT_WINE_COMMIT}" != "${COMPAT_WINE_COMMIT}" ]]; then
einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
einfo "If src_prepare fails, try emerging with the env var EGIT_COMMIT."
- einfo "Example: EGIT_COMMIT=${STAGING_COMMIT} emerge -1 wine"
+ einfo "Example: WINE_COMMIT=${COMPAT_WINE_COMMIT} emerge -1 wine"
fi
fi
if use d3d9; then
- git-r3_fetch "${D3D9_EGIT_REPO_URI}"
+ git-r3_fetch "${D3D9_EGIT_REPO_URI}" "${D3D9_COMMIT}"
git-r3_checkout "${D3D9_EGIT_REPO_URI}" "${D3D9_DIR}"
fi
fi
diff --git a/app-emulation/wine/wine-9999.ebuild b/app-emulation/wine/wine-9999.ebuild
index b5dad1f472ae..4f8f3e98c51b 100644
--- a/app-emulation/wine/wine-9999.ebuild
+++ b/app-emulation/wine/wine-9999.ebuild
@@ -254,6 +254,27 @@ wine_build_environment_check() {
fi
}
+wine_env_vcs_vars() {
+ local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
+ local pn_live_val="${pn_live_var}"
+ eval pn_live_val='$'${pn_live_val}
+ if [[ ! -z ${pn_live_val} ]]; then
+ if use staging || use d3d9; then
+ eerror "Because of the multi-repo nature of ${PN}, ${pn_live_var}"
+ eerror "cannot be used to set the commit. Instead, you may use the"
+ eerror "environmental variables WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT."
+ eerror
+ return 1
+ fi
+ fi
+ if [[ ! -z ${EGIT_COMMIT} ]]; then
+ eerror "Commits must now be specified using the environmental variables"
+ eerror "WINE_COMMIT, STAGING_COMMIT, and D3D9_COMMIT"
+ eerror
+ return 1
+ fi
+}
+
pkg_pretend() {
wine_compiler_check || die
wine_build_environment_check || die
@@ -271,6 +292,7 @@ pkg_pretend() {
pkg_setup() {
wine_build_environment_check || die
+ wine_env_vcs_vars || die
if ! use staging; then
GV=${VANILLA_GV}
MV=${VANILLA_MV}
@@ -282,23 +304,23 @@ pkg_setup() {
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
- git-r3_src_unpack
+ EGIT_COMMIT="${WINE_COMMIT}" git-r3_src_unpack
if use staging; then
- local WINE_COMMIT=${EGIT_VERSION}
+ local CURRENT_WINE_COMMIT=${EGIT_VERSION}
- git-r3_fetch "${STAGING_EGIT_REPO_URI}"
+ git-r3_fetch "${STAGING_EGIT_REPO_URI}" "${STAGING_COMMIT}"
git-r3_checkout "${STAGING_EGIT_REPO_URI}" "${STAGING_DIR}"
- local STAGING_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
+ local COMPAT_WINE_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
- if [[ "${WINE_COMMIT}" != "${STAGING_COMMIT}" ]]; then
+ if [[ "${CURRENT_WINE_COMMIT}" != "${COMPAT_WINE_COMMIT}" ]]; then
einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
einfo "If src_prepare fails, try emerging with the env var EGIT_COMMIT."
- einfo "Example: EGIT_COMMIT=${STAGING_COMMIT} emerge -1 wine"
+ einfo "Example: WINE_COMMIT=${COMPAT_WINE_COMMIT} emerge -1 wine"
fi
fi
if use d3d9; then
- git-r3_fetch "${D3D9_EGIT_REPO_URI}"
+ git-r3_fetch "${D3D9_EGIT_REPO_URI}" "${D3D9_COMMIT}"
git-r3_checkout "${D3D9_EGIT_REPO_URI}" "${D3D9_DIR}"
fi
fi